org.apache.coyote.http11

## Interface OutputFilter

- All Superinterfaces:
    HttpOutputBuffer, OutputBuffer
  All Known Implementing Classes:
    ChunkedOutputFilter, GzipOutputFilter, IdentityOutputFilter, VoidOutputFilter

      public interface OutputFilter
      extends HttpOutputBuffer

  Output filter.
  Author:
    Remy Maucherat

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `recycle()` Make the filter ready to process the next request.
    `void` | `setBuffer(HttpOutputBuffer buffer)` Set the next buffer in the filter pipeline.
    `void` | `setResponse(Response response)` Some filters need additional parameters from the response.

    - ### Methods inherited from interface org.apache.coyote.http11.HttpOutputBuffer

      `end, flush`

    - ### Methods inherited from interface org.apache.coyote.OutputBuffer

      `doWrite, doWrite, getBytesWritten`

- - ### Method Detail

    - #### setResponse

          void setResponse(Response response)

      Some filters need additional parameters from the response. All the necessary reading can occur in that method, as this method is called after the response header processing is complete.
      Parameters:
        `response` - The response to associate with this OutputFilter

    - #### recycle

          void recycle()

      Make the filter ready to process the next request.

    - #### setBuffer

          void setBuffer(HttpOutputBuffer buffer)

      Set the next buffer in the filter pipeline.
      Parameters:
        `buffer` - The next buffer instance

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.